Bug 506789 - Problem in browse tab of package manager, showing nothing
Problem in browse tab of package manager, showing nothing
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pirut (Show other bugs)
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
Red Hat Satellite QA List
Depends On:
  Show dependency treegraph
Reported: 2009-06-18 12:47 EDT by rishi
Modified: 2013-03-14 16:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-03-14 16:05:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
the file is generated by package manager of add/remove software (929 bytes, application/octet-stream)
2009-06-18 12:47 EDT, rishi
no flags Details

  None (edit)
Description rishi 2009-06-18 12:47:57 EDT
Created attachment 348527 [details]
the file is generated by package manager of add/remove software

Description of problem:problem is in attached file

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Bill Nottingham 2009-06-18 13:28:16 EDT
Component: pirut
Summary: TBa0915cfe __init__.py:581:_getGroups:GroupsError: No Groups Available in any repository

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 122, in _pageSwitch
  File "/usr/sbin/pirut", line 327, in _showBrowse
  File "/usr/lib/python2.4/site-packages/pirut/GroupSelector.py", line 523, in doRefresh
    if len(self.ayum.comps.categories) == 0:
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 607, in <lambda>
    comps = property(fget=lambda self: self._getGroups(),
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 581, in _getGroups
    raise Errors.GroupsError, _('No Groups Available in any repository')
GroupsError: No Groups Available in any repository

Local variables in innermost frame:
group_st: 1245379630.1
self: <__main__.PackageManager object at 0x1fd0710>
reposWithGroups: []
overwrite: False
Comment 2 Chip Guy 2009-07-17 11:24:24 EDT
Window with title "Package Manager" is not responding. This window belongs to application pirut (PID=4203, hostname=localhost).
Do you wish to terminate this application? (All unsaved data in this application will be lost.)
Comment 3 Chip Guy 2009-07-17 11:25:02 EDT
I'm getting the same error, coupled now with the above comment.
Comment 4 James Antill 2013-03-14 16:05:06 EDT
This request was evaluated by Red Hat Engineering for inclusion in a Red 
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat 
Enterprise Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in 
response to customer and partner requirements, Red Hat takes a 
conservative approach when evaluating enhancements for inclusion in 
maintenance updates for currently deployed products. The primary 
objectives of update releases are to enable new hardware platform 
support and to resolve critical defects.

Note You need to log in before you can comment on or make changes to this bug.